## php5 5.6.22+dfsg

=== debian/changelog ===
php5 (5.6.22+dfsg-2) unstable; urgency=medium

  * Silence errors from find caused by time race (Closes: #827370)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Jun 2016 18:02:46 +0200

php5 (5.6.22+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 5.6.22+dfsg
  * Add Provides: php5-mysql to php5-mysqlnd (Closes: #820451)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 May 2016 14:18:04 +0200

php5 (5.6.21+dfsg-2) unstable; urgency=medium

  [ Santiago Vila ]
  * Make src:php5 compatible with source-only uploads (Closes: #823954)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 11 May 2016 15:55:22 +0200

php5 (5.6.21+dfsg-1) unstable; urgency=medium

  * Update Vcs-* to point at pkg-php/php5.git
  * Imported Upstream version 5.6.21+dfsg
  * Rebase patches on top of 5.6.21+dfsg release
  * Add patch to make opcache lockfile path configurable
  * Replace the while loop with for loop to prevent launching subshell in
    the sessionclean script

 -- Ondřej Surý <ondrej@debian.org>  Wed, 04 May 2016 11:44:55 +0200

php5 (5.6.20+dfsg-1) unstable; urgency=medium

  * Allow multiple whitespace in php5-fpm init script (Closes: #818102)
  * Improve conffile parsing ini the init.d script
  * Imported Upstream version 5.6.20+dfsg
  * Rebase patches on top of 5.6.20+dfsg release

 -- Ondřej Surý <ondrej@debian.org>  Thu, 31 Mar 2016 16:51:18 +0200

php5 (5.6.19+dfsg-2) unstable; urgency=medium

  * Return /usr/share/php to the default include_path that got dropped
    when we stopped building PEAR from this source package
    (Closes: #817769)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 Mar 2016 09:25:59 +0100

php5 (5.6.19+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 5.6.19+dfsg
  * Rebase patches on top of 5.6.19+dfsg release
  * Stop building php-pear from src:php5 sources

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Mar 2016 21:09:11 +0100

php5 (5.6.18+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 5.6.18+dfsg
   - Core:
    . Fixed bug #71039 (exec functions ignore length but look for NULL
      termination).
    . Fixed bug #71089 (No check to duplicate zend_extension).
    . Fixed bug #71201 (round() segfault on 64-bit builds).
    . Added support for new HTTP 451 code.
    . Fixed bug #71273 (A wrong ext directory setup in php.ini leads to
      crash).
    . Fixed bug #71323 (Output of stream_get_meta_data can be falsified by
      its input).
    . Fixed bug #71459 (Integer overflow in iptcembed()).
   - Apache2handler:
    . Fix >2G Content-Length headers in apache2handler.
   - FTP:
    . Implemented FR #55651 (Option to ignore the returned FTP PASV
      address).
   - Opcache:
    . Fixed bug #71127 (Define in auto_prepend_file is overwrite).
    . Fixed bug #71024 (Unable to use PHP 7.0 x64 side-by-side with
      PHP 5.6 x32 on the same server).
   - Phar:
    . Fixed bug #71354 (Heap corruption in tar/zip/phar parser).
    . Fixed bug #71391 (NULL Pointer Dereference in
      phar_tar_setupmetadata()).
    . Fixed bug #71488 (Stack overflow when decompressing tar archives).
   - Session:
    . Fixed bug #69111 (Crash in SessionHandler::read()).
   - SOAP:
    . Fixed bug #70979 (crash with bad soap request).
   - SPL:
    . Fixed bug #71204 (segfault if clean spl_autoload_funcs while
      autoloading).
   - WDDX:
    . Fixed bug #71335 (Type Confusion in WDDX Packet Deserialization).
  * Rebase patches on top of 5.6.18 release
  * Add support for libtool >= 2.4.6 ltmain.sh location (Closes: #815794)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Feb 2016 16:30:24 +0100

php5 (5.6.17+dfsg-3) unstable; urgency=medium

  * Fail gracefully when other PHP module is enabled in Apache2
  * php5-maintscript-helper needs update for phpdbg to fix postinst
    failure

 -- Ondřej Surý <ondrej@debian.org>  Fri, 15 Jan 2016 09:53:46 +0100

php5 (5.6.17+dfsg-2) unstable; urgency=medium

  * Disable tests on armhf as they take a long time
  * Merge patch for ODBC bug fix varchars returning with length zero
  * Fix missing phpdbg sapi from the for loop that prevented the modules
    to be enabled for phpdbg SAPI

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Jan 2016 13:54:53 +0100

php5 (5.6.17+dfsg-1) unstable; urgency=medium

  * Build-Depend just on libpng-dev
  * Imported Upstream version 5.6.17+dfsg
  * Rebase patches on top of 5.6.17 release

 -- Ondřej Surý <ondrej@debian.org>  Fri, 08 Jan 2016 08:18:37 +0100

php5 (5.6.16+dfsg-4) unstable; urgency=medium

  * Make phar command versioned and use update-alternatives for 'phar'
    name to allow src:php5 packages to be co-installed with src:php7.0

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Jan 2016 15:21:55 +0100

php5 (5.6.16+dfsg-3) unstable; urgency=medium

  * Remove invalid patch to not reset packagingroot inside
    PEAR/Command/Install.php
  * Revert PEAR version to last working version from PHP 5.6.14
    (Closes: #805222)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 31 Dec 2015 14:48:43 +0100

php5 (5.6.16+dfsg-2) unstable; urgency=medium

  [ Jan Wagner ]
  * Adding 'PHP_INI_SCAN_DIR=/etc/php5/${conf_dir}/conf.d/' to session
    cleanup script when calling php

  [ Ondřej Surý ]
  * Add patch to not reset packagingroot inside PEAR/Command/Install.php
    (Closes: #805222)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Dec 2015 17:15:51 +0100

php5 (5.6.16+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 5.6.16+dfsg
   - Core:
    . Fixed bug #70828 (php-fpm 5.6 with opcache crashes when referencing
      a non-existent constant).
    . Fixed bug #70748 (Segfault in ini_lex () at Zend/zend_ini_scanner.l).
   - Mysqlnd:
    . Fixed bug #68344 (MySQLi does not provide way to disable peer
      certificate validation) by introducing
      MYSQLI_CLIENT_SSL_DONT_VERIFY_SERVER_CERT connection flag.
   - OCI8:
    . Fixed bug #68298 (OCI int overflow).
   - PDO_DBlib:
    . Fixed bug #69757 (Segmentation fault on nextRowset).
   - SOAP:

