=== debian/control ===
Source: php5
Section: php
Priority: optional
Maintainer: Debian PHP Maintainers <pkg-php-maint@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
	   Thijs Kinkhorst <thijs@debian.org>,
	   Lior Kaplan <kaplan@debian.org>
Build-Depends: apache2-dev (>= 2.4),
	       dh-apache2,
	       dh-systemd (>= 1.3),
	       libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
	       autoconf (>= 2.63),
	       automake (>= 1.11) | automake1.11,
	       bison,
	       chrpath,
	       debhelper (>= 9),
	       dpkg-dev (>= 1.16.1~),
	       firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
	       flex,
	       freetds-dev,
	       libapr1-dev (>= 1.2.7-8),
	       libbz2-dev,
	       libc-client-dev,
	       libcurl4-openssl-dev | libcurl-dev,
	       libdb-dev,
	       libedit-dev (>= 2.11-20080614-4),
	       libenchant-dev,
	       libevent-dev (>= 1.4.11),
	       libexpat1-dev (>= 1.95.2-2.1),
	       libfreetype6-dev,
	       libgcrypt11-dev,
	       libgd-dev (>= 2.1.0) | libgd2-dev,
	       libglib2.0-dev,
	       libgmp3-dev,
	       libicu-dev,
	       libjpeg-dev | libjpeg62-dev,
	       libkrb5-dev,
	       libldap2-dev,
	       libmagic-dev,
	       libmcrypt-dev,
	       libmhash-dev (>= 0.8.8),
	       libmysqlclient-dev | libmysqlclient15-dev,
	       libonig-dev,
	       libpam0g-dev,
	       libpcre3-dev (>= 6.6),
	       libpng-dev,
	       libpq-dev,
	       libpspell-dev,
	       libqdbm-dev,
	       librecode-dev,
	       libsasl2-dev,
	       libsnmp-dev,
	       libsqlite3-dev,
	       libssl-dev,
	       libtidy-dev,
	       libtool (>= 2.2),
	       libwrap0-dev,
	       libxmltok1-dev,
	       libxml2-dev,
               libvpx-dev,
	       libxslt1-dev (>= 1.0.18),
	       systemtap-sdt-dev [amd64 i386 powerpc armel armhf ia64],
	       locales-all | language-pack-de,
	       mysql-server | virtual-mysql-server,
	       netbase,
	       netcat-traditional,
	       re2c,
	       unixodbc-dev,
	       zlib1g-dev,
	       tzdata,
	       libapparmor-dev
Build-Conflicts: bind-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-php/php5.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-php/php5.git
Homepage: http://www.php.net/
XS-Testsuite: autopkgtest

Package: php5
Architecture: all
Depends: ${misc:Depends}, libapache2-mod-php5 (>= ${source:Version}~) | libapache2-mod-php5filter (>= ${source:Version}~) | php5-cgi (>= ${source:Version}~) | php5-fpm (>= ${source:Version}~), php5-common (>= ${source:Version}~)
Description: server-side, HTML-embedded scripting language (metapackage)
 This package is a metapackage that, when installed, guarantees that you
 have at least one of the four server-side versions of the PHP5 interpreter
 installed. Removing this package won't remove PHP5 from your system, however
 it may remove other packages that depend on this one.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-common
Architecture: any
Depends: ${misc:Depends},
	 ${shlibs:Depends},
	 sed (>= 4.1.1-1),
	 psmisc (>= 22.15-1~),
	 lsof [!kfreebsd-any !hurd-any],
	 ucf
Provides: php5-mhash, ${php:Provides}
Conflicts: php5-mhash
Suggests: php5-user-cache
Breaks: php5-xdebug (<< 2.2.2),
	php-apc (<< 4.0.0),
	php5-xcache (<< 3.1~),
	php5-suhosin (<< 0.9.34),
	php5-json (<< 1.3.1-1~),
	php-crypt-gpg (<< 1.3.2)
Description: Common files for packages built from the php5 source
 This package contains the documentation and example files relevant to all
 the other packages built from the php5 source.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: libapache2-mod-php5
Section: httpd
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 apache2 (>= 2.4),
	 mime-support,
	 php5-common (= ${binary:Version}),
	 php5-cli,
	 php5-json,
	 libmagic1,
	 ucf,
	 tzdata
Conflicts: libapache2-mod-php4,
	   libapache2-mod-php5filter
Provides: ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (Apache 2 module)
 This package provides the PHP5 module for the Apache 2 webserver
 Please note that this package ONLY works with Apache's prefork MPM, as it
 is not compiled thread-safe.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: libapache2-mod-php5filter
Section: httpd
Priority: extra
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 apache2 (>= 2.4),
	 mime-support,
	 php5-common (= ${binary:Version}),
	 php5-cli,
	 php5-json,
	 libmagic1,
	 ucf,
	 tzdata
Conflicts: libapache2-mod-php4, libapache2-mod-php5
Provides: ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (apache 2 filter module)
 This package provides the PHP5 Filter module for the Apache 2 webserver.
 Please note that this package ONLY works with Apache's prefork MPM, as it
 is not compiled thread-safe.
 .
 Unless you specifically need filter-module support, you most likely
 should instead install libapache2-mod-php5.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-cgi
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 mime-support,
	 php5-common (= ${binary:Version}),
	 php5-cli,
	 php5-json,
	libmagic1,
	ucf,
	tzdata
Provides: ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (CGI binary)
 This package provides the /usr/lib/cgi-bin/php5 CGI interpreter built
 for use in Apache 2 with mod_actions, or any other CGI httpd that
 supports a similar mechanism.  Note that MOST Apache users probably
 want the libapache2-mod-php5 package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-cli
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 mime-support,
	 php5-common (= ${binary:Version}),
	 php5-json,
	 libmagic1,
	 ucf,
	 tzdata,
	 libedit2 (>= 2.11-20080614-4)
Provides: ${php:Provides}
Recommends: php5-readline
Suggests: php-pear
Description: command-line interpreter for the php5 scripting language
 This package provides the /usr/bin/php5 command interpreter, useful for
 testing PHP scripts from a shell or performing general shell scripting tasks.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-phpdbg
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 mime-support,
	 php5-common (= ${binary:Version}),
	 php5-json,
	 libmagic1,
	 ucf,
	 tzdata
Provides: ${php:Provides}
Recommends: php5-readline
Description: server-side, HTML-embedded scripting language (PHPDBG binary)
 This package provides the /usr/bin/phpdbg command interpreter, useful for
 stepthrough debugging of PHP code.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-fpm
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 mime-support,
	 php5-common (= ${binary:Version}),
	 php5-cli,
	 php5-json,
	 libmagic1,
	 ucf,
	 tzdata
Provides: ${php:Provides}
Suggests: php-pear
Pre-Depends: ${misc:Pre-Depends}
Description: server-side, HTML-embedded scripting language (FPM-CGI binary)
 This package provides the Fast Process Manager interpreter that runs
 as a daemon and receives Fast/CGI requests.  Note that MOST Apache users
 probably want the libapache2-mod-php5 package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: libphp5-embed
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 mime-support,
	 php5-common (= ${binary:Version}),
	 libmagic1,
	 ucf,
	 tzdata
Provides: ${php:Provides}
Suggests: php-pear
Priority: optional
Description: HTML-embedded scripting language (Embedded SAPI library)
 This package provides the library /usr/lib/libphp5.so which can
 be used by application developers to embed PHP scripting functionality.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 WARNING: The embed SAPI is experimental and there's no guarantee that
 the API/ABI will be kept compatible even between minor releases.  You
 have been warned.

Package: php5-dev
Depends: ${misc:Depends},
	 autoconf (>= 2.63),
	 automake (>= 1.11),
	 libssl-dev,
	 libpcre3-dev,
	 libtool (>= 2.2),
	 shtool,
	 php5-common (>= ${binary:Version}),
	 ${perl:Depends}
Conflicts: ${libtool:Conflicts}
Architecture: any
Recommends: pkg-php-tools, dh-php5
Description: Files for PHP5 module development
 This package provides the files from the PHP5 source needed for compiling
 additional modules.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-dbg
Depends: ${misc:Depends}, php5-common (= ${binary:Version}), libapache2-mod-php5 (= ${binary:Version}) | libapache2-mod-php5filter (= ${binary:Version}) | php5-cgi (= ${binary:Version}) | php5-cli (= ${binary:Version}) | php5-fpm (= ${binary:Version}) | libphp5-embed (= ${binary:Version}) | php5-curl (= ${binary:Version}) | php5-enchant (= ${binary:Version}) | php5-gd (= ${binary:Version}) | php5-gmp (= ${binary:Version}) | php5-imap (= ${binary:Version}) | php5-interbase (= ${binary:Version}) | php5-intl (= ${binary:Version}) | php5-ldap (= ${binary:Version}) | php5-mcrypt (= ${binary:Version}) | php5-readline (= ${binary:Version}) | php5-mysql (= ${binary:Version}) | php5-mysqlnd (= ${binary:Version}) | php5-odbc (= ${binary:Version}) | php5-pgsql (= ${binary:Version}) | php5-pspell (= ${binary:Version}) | php5-recode (= ${binary:Version}) | php5-snmp (= ${binary:Version}) | php5-sqlite (= ${binary:Version}) | php5-sybase (= ${binary:Version}) | php5-tidy (= ${binary:Version}) | php5-xmlrpc (= ${binary:Version}) | php5-xsl (= ${binary:Version})
Recommends: gdb
Section: debug
Priority: extra
Architecture: any
Description: Debug symbols for PHP5
 This package provides the debug symbols for PHP5 needed for properly
 debugging errors in PHP5 with gdb.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php5-curl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php5-common (= ${binary:Version}), ucf
Pre-Depends: ${misc:Pre-Depends}
Description: CURL module for php5
 CURL is a library for getting files from  FTP, GOPHER, HTTP server.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
