## php5 5.6.30+dfsg

=== debian/changelog ===
php5 (5.6.30+dfsg-0+deb8u1tanglu3.1) chromodoris-updates; urgency=medium

  * Pull from Debian stable for Tanglu because of security issue DSA 3783-1
  * Remaining changes:
    - Add libphp5-embed.triggers to prevent lintian error 
      package-must-activate-ldconfig-trigger

 -- Thomas Funk <t.funk@web.de>  Thu, 09 Feb 2017 18:46:16 +0100

php5 (5.6.30+dfsg-0+deb8u1) jessie-security; urgency=medium

  * Allow relaxed ; priority=<num> parsing (Closes: #783246)
  * New upstream version 5.6.30+dfsg
   - [CVE-2016-10158] FPE when parsing a tag format.
   - [CVE-2016-10159] Crash while loading hostile phar archive
   - [CVE-2016-10160] Memory corruption when loading hostile phar
   - [CVE-2016-10161] Heap out of bounds read on unserialize in finish_nested_data()
  * Rebase patches on top of PHP 5.6.30

 -- Ondřej Surý <ondrej@debian.org>  Wed, 25 Jan 2017 15:19:43 +0100

php5 (5.6.29+dfsg-0+deb8u1) jessie-security; urgency=high

  * Imported Upstream version 5.6.29+dfsg
  * Rebase patches on top of PHP 5.6.29 release
  * Change Build-Depend from libsystemd-daemon-dev to libsystemd-dev

 -- Ondřej Surý <ondrej@debian.org>  Tue, 13 Dec 2016 16:11:43 +0100

php5 (5.6.28+dfsg-0+deb8u1) jessie-security; urgency=high

  * Imported Upstream version 5.6.28+dfsg
  * Rebase patches on top of 5.6.28+dfsg release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 15 Nov 2016 06:49:50 +0100

php5 (5.6.27+dfsg-0+deb8u1) jessie-security; urgency=high

  * Imported Upstream version 5.6.27+dfsg
  * Rebase patches on to of 5.6.27+dfsg

 -- Ondřej Surý <ondrej@debian.org>  Sat, 15 Oct 2016 17:40:23 +0200

php5 (5.6.26+dfsg-0+deb8u1) jessie-security; urgency=high

  * Imported Upstream version 5.6.26+dfsg
  * Rebase patches on top of PHP 5.6.26+dfsg

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Sep 2016 12:21:46 +0200

php5 (5.6.24+dfsg-0+deb8u1) jessie-security; urgency=high

  * Imported Upstream version 5.6.24+dfsg
  * Rebase patches on top of 5.6.24+dfsg release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 26 Jul 2016 10:09:22 +0200

php5 (5.6.23+dfsg-0+deb8u1) jessie-security; urgency=medium

  * Silence errors from find caused by time race (Closes: #827370)
  * Replace cut&paste error php@PHP_VERSION@ in libapache2-mod-php5
    postinst just to php5 (Closes: #822855)
  * Merge sessionclean script from master to fix reading conf.d
    directories (Closes: #827548)
  * Imported Upstream version 5.6.23+dfsg
  * Rebase patches on top of 5.6.23
  * Move -ignore_session_path to be the first argument (Closes: #830792)
  * Update Vcs-* to point at pkg-php/php5.git

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Jul 2016 09:22:36 +0200

php5 (5.6.22+dfsg-0+deb8u1) jessie-security; urgency=medium

  [ Bernat Arlandis ]
  * Fix the bug where sessionclean doesn't touch session files
    (Closes: #799155)

  [ Ondřej Surý ]
  * Add patch to make opcache lockfile path configurable
   + Courtesy of Gandi and already merged in PHP 7.0 upstream
  * Imported Upstream version 5.6.22+dfsg
  * Add Provides: php5-mysql to php5-mysqlnd (Closes: #820451)
  * Rebase patches on top of PHP 5.6.22

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 May 2016 14:56:53 +0200

php5 (5.6.20+dfsg-0+deb8u1) jessie-security; urgency=medium

  * Imported Upstream version 5.6.20+dfsg
  * Rebase patches on top of 5.6.20+dfsg release

 -- Ondřej Surý <ondrej@debian.org>  Wed, 27 Apr 2016 13:17:22 +0200

php5 (5.6.19+dfsg-0+deb8u1) jessie-security; urgency=medium

  * Imported Upstream version 5.6.19+dfsg
  * Rebase patches on top of 5.6.19+dfsg release
  * Allow multiple whitespace in php5-fpm init script (Closes: #818102)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Mar 2016 20:09:14 +0100

php5 (5.6.18+dfsg-0+deb8u1) jessie-security; urgency=medium

  * Merge patch for ODBC bug fix varchars returning with length zero
  * Fix missing phpdbg sapi from the for loop that prevented the modules to be enabled for phpdbg SAPI
  * Fail gracefully when other PHP module is enabled in Apache2
  * php5-maintscript-helper needs update for phpdbg
  * Imported Upstream version 5.6.18+dfsg
  * Rebase patches on top of 5.6.18 release
  * Revert PEAR version to last working version from PHP 5.6.14
    (Closes: #812788)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Feb 2016 11:07:34 +0100

php5 (5.6.17+dfsg-0+deb8u1) jessie; urgency=high

  * Imported Upstream version 5.6.17+dfsg
   - Core:
    . Fixed bug #66909 (configure fails utf8_to_mutf7 test).
    . Fixed bug #70958 (Invalid opcode while using ::class as trait method
      parameter default value).
    . Fixed bug #70957 (self::class can not be resolved with reflection
      for abstract class).
    . Fixed bug #70944 (try{ } finally{} can create infinite chains of
      exceptions).
    . Fixed bug #61751 (SAPI build problem on AIX: Undefined symbol:
      php_register_internal_extensions).
   - FPM:
    . Fixed bug #70755 (fpm_log.c memory leak and buffer overflow).
   - GD:
    . Fixed bug #70976 (Memory Read via gdImageRotateInterpolated Array
      Index Out of Bounds).
   - Mysqlnd:
    . Fixed bug #68077 (LOAD DATA LOCAL INFILE / open_basedir
      restriction).
   - SOAP:
    . Fixed bug #70900 (SoapClient systematic out of memory error).
   - Standard:
    . Fixed bug #70960 (ReflectionFunction for array_unique returns wrong
      number of parameters).
   - PDO_Firebird:
    . Fixed bug #60052 (Integer returned as a 64bit integer on X64_86).
   - WDDX:
    . Fixed bug #70661 (Use After Free Vulnerability in WDDX Packet
      Deserialization).
    . Fixed bug #70741 (Session WDDX Packet Deserialization Type Confusion
      Vulnerability).
   - XMLRPC:
    . Fixed bug #70728 (Type Confusion Vulnerability in
      PHP_to_XMLRPC_worker()).
  * Rebase patches on top of 5.6.17+dfsg release
  * Make phar command versioned and use update-alternatives for 'phar'
    name to allow coinstallation with src:php7.0 packages

 -- Ondřej Surý <ondrej@debian.org>  Fri, 08 Jan 2016 09:01:13 +0100


