=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: apache2-dev (>= 2.4),
 	       dh-apache2,
 	       dh-systemd (>= 1.3),
-	       libsystemd-dev [linux-any] | libsystemd-daemon-dev [linux-any],
+	       libsystemd-dev [linux-any],
 	       autoconf (>= 2.63),
 	       automake (>= 1.11) | automake1.11,
 	       bison,
@@ -43,7 +43,7 @@
 	       libonig-dev,
 	       libpam0g-dev,
 	       libpcre3-dev (>= 6.6),
-	       libpng-dev,
+	       libpng-dev | libpng12-dev,
 	       libpq-dev,
 	       libpspell-dev,
 	       libqdbm-dev,
@@ -132,9 +132,9 @@
 Provides: ${php:Provides}
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (Apache 2 module)
- This package provides the PHP5 module for the Apache 2 webserver
- Please note that this package ONLY works with Apache's prefork MPM, as it
- is not compiled thread-safe.
+ This package provides the PHP5 module for the Apache 2 webserver (as
+ found in the apache2-mpm-prefork package).  Please note that this package
+ ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
  .
  ${php:Extensions}
  .
@@ -160,9 +160,9 @@
 Provides: ${php:Provides}
 Suggests: php-pear
 Description: server-side, HTML-embedded scripting language (apache 2 filter module)
- This package provides the PHP5 Filter module for the Apache 2 webserver.
- Please note that this package ONLY works with Apache's prefork MPM, as it
- is not compiled thread-safe.
+ This package provides the PHP5 Filter module for the Apache 2 webserver (as 
+ found in the apache2-mpm-prefork package).  Please note that this package
+ ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
  .
  Unless you specifically need filter-module support, you most likely
  should instead install libapache2-mod-php5.
@@ -330,11 +330,12 @@
  open source general-purpose scripting language that is especially suited
  for web development and can be embedded into HTML.
 
-Package: php5-curl
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}, php5-common (= ${binary:Version}), ucf
-Pre-Depends: ${misc:Pre-Depends}
-Description: CURL module for php5
- CURL is a library for getting files from  FTP, GOPHER, HTTP server.
- .
- PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
+Package: php-pear
+Architecture: all
+Depends: ${misc:Depends}, php5-common (>= ${source:Version}~), php5-cli
+Recommends: gnupg
+Conflicts: php-xml-util
+Suggests: php5-dev
+Replaces: php4-pear (<< 4:4.4.0-0), php-xml-util
+Provides: php-xml-util
+Description: PEAR - PHP Extension and Application Repository
