## php5 5.6.33+dfsg

=== debian/changelog ===
php5 (5.6.33+dfsg-0+deb8u1) jessie-security; urgency=high

  * Add support for signed upstream tarballs
  * Make d/copyright machine readable
  * Remove repack.sh script in favour of uscan repacking
  * Update Vcs-* links to salsa.d.o
  * New upstream version 5.6.33+dfsg
  * Rebase patches on top of new upstream releases.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 05 Jan 2018 13:31:37 +0000

php5 (5.6.31+dfsg-0+deb8u1) jessie-security; urgency=medium

  * New upstream version 5.6.31+dfsg
  * Refresh patches on top of PHP 5.6.31
  * Pull upstream fix for PHP bug #64827: Segfault in zval_mark_grey (zend_gc.c)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Aug 2017 08:21:10 +0200

php5 (5.6.30+dfsg-0+deb8u2) jessie-security; urgency=medium

  * [CVE-2017-7272]: Fix detect invalid port in xp_socket parse ip address
  * Add debian/source/include-binaries to allow starting the build in
    Debian stretch

 -- Ondřej Surý <ondrej@debian.org>  Wed, 12 Apr 2017 09:05:06 +0200
