=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
   $(warning Disabling checks due DEB_BUILD_OPTIONS)
   RUN_TESTS = no
 endif
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 mips mipsel ppc64 ppc64el armhf))
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),hurd-i386 mips mipsel ppc64 ppc64el))
   $(warning Disabling checks on $(DEB_HOST_ARCH))
   RUN_TESTS = no
 endif
@@ -96,7 +96,7 @@
 PHPIZE_BUILDDIR = debian/php5-dev/usr/lib/php5/build
 
 # support new (>= 2.2) and older versions of libtool for backporting ease
-LIBTOOL_DIRS = /usr/share/libtool/config /usr/share/libtool /usr/share/libtool/build-aux
+LIBTOOL_DIRS = /usr/share/libtool/config /usr/share/libtool
 LTMAIN = $(firstword $(wildcard $(foreach d,$(LIBTOOL_DIRS),$d/ltmain.sh)))
 LTMAIN_DIR = $(dir $(LTMAIN))
 
@@ -104,8 +104,6 @@
 LIBTOOL_CONFLICTS:=libtool (>= 2.2)
 else ifeq ($(LTMAIN_DIR), /usr/share/libtool/config/)
 LIBTOOL_CONFLICTS:=libtool (<< 2.2)
-else ifeq ($(LTMAIN_DIR), /usr/share/libtool/build-aux/)
-LIBTOOL_CONFLICTS:=libtool (<< 2.4.6)
 else
 LIBTOOL_CONFLICTS:=$(error "could not resolve path to ltmain.sh")
 endif
@@ -126,7 +124,7 @@
 		--disable-static \
 		--with-pic \
 		--with-layout=GNU \
-		--without-pear \
+		--with-pear=/usr/share/php \
 		--enable-calendar \
 		--enable-sysvsem \
 		--enable-sysvshm \
@@ -212,9 +210,7 @@
 	echo 'nocheck found in DEB_BUILD_OPTIONS or unsupported architecture' | tee test-results.txt
 endif
 
-build-indep:
-
-build-arch: build-apache2-stamp build-apache2filter-stamp build-cgi-stamp build-cli-stamp build-phpdbg-stamp build-embed-stamp build-fpm-stamp test-results.txt
+build: build-apache2-stamp build-apache2filter-stamp build-cgi-stamp build-cli-stamp build-phpdbg-stamp build-embed-stamp build-fpm-stamp build-pear-stamp test-results.txt
 
 build-apache2-stamp: configure-apache2-stamp
 	dh_testdir
@@ -228,3 +224,9 @@
 
 	touch build-apache2filter-stamp
 
+build-cli-stamp: configure-cli-stamp
+	dh_testdir
+	cd cli-build && $(MAKE)
+
+	touch build-cli-stamp
+
