## php5 5.6.40+dfsg

=== debian/changelog ===
php5 (5.6.40+dfsg-0+deb8u12) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-11048
    When using overly long filenames or field names, a memory limit could
    be hit which results in stopping the upload but not cleaning up behind.
    This could lead to exhausted disk space on the server.
  * The embedded version of "file" is vulnerabe to CVE-2019-18218
    Though this is not really CVE-2019-18218 it is a bug, that has been
    fixed here.
    Fix to restrict the number of CDF_VECTOR elements to prevent
    a heap-based buffer overflow (4-byte out-of-bounds write).

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Jun 2020 10:12:02 +0200

php5 (5.6.40+dfsg-0+deb8u11) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2020-7064
    A one byte out-of-bounds read, which could potentially lead to
    information disclosure or crash.
  * CVE-2020-7066
    An URL containing zero (\0) character will be truncated at it, which
    may cause some software to make incorrect assumptions and possibly
    send some information to a wrong server.
  * CVE-2020-7067
    Using a malformed url-encoded string an Out-of-Bounds read can occur.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 25 Apr 2020 16:12:02 +0200

php5 (5.6.40+dfsg-0+deb8u10) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2020-7062
    During upload progess tracking, the cleanup of a failed upload
    might result in a null pointer derefernce, which would likely
    lead to a crash.
  * CVE-2020-7063
    Files added to tar with Phar::buildFromIterator might have too lax
    access permissions on extraction, which might be not intended.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Mar 2020 17:00:02 +0100

php5 (5.6.40+dfsg-0+deb8u9) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2020-7059
    Crafted data could lead to reading after an allocated buffer and
    result in information disclosure or crash.
  * CVE-2020-7060
    Crafted data could lead to reading after an allocated buffer and
    result in information disclosure or crash.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 27 Feb 2020 19:51:02 +0100

php5 (5.6.40+dfsg-0+deb8u8) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-11045
    fix for filenames with embedded \0 byte that are treated
    as terminated at that byte
  * CVE-2019-11046
    fix for buffer underflow in bc_shift_addsub
  * CVE-2019-11047
    fix for heap-buffer-overflow READ in exif
  * CVE-2019-11050
    fix for use-after-free in exif parsing

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Dec 2019 10:51:02 +0100

php5 (5.6.40+dfsg-0+deb8u7) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2019-11043: env_path_info underflow in fpm_main.c can lead to RCE

 -- Sylvain Beucler <beuc@debian.org>  Sat, 26 Oct 2019 15:27:12 +0200

php5 (5.6.40+dfsg-0+deb8u6) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Revert PEAR version to last working version from PHP 5.6.14
    (Closes: #805222)

 -- Roberto C. Sanchez <roberto@debian.org>  Sun, 15 Sep 2019 07:02:48 -0400

php5 (5.6.40+dfsg-0+deb8u5) jessie-security; urgency=medium

  * CVE-2019-11041: heap buffer overflow on exif_scan_thumbnail.
  * CVE-2019-11042: heap buffer overflow on exif_process_user_comment.
  * 0001-Fix-77919-Potential-UAF-in-Phar-RSHUTDOWN.patch: properly clean up
    if phar_flush fails.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 12 Aug 2019 17:37:00 +0200

php5 (5.6.40+dfsg-0+deb8u4) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  . CVE-2019-11039: out-of-bounds read in _php_iconv_mime_decode
  * CVE-2019-11040: heap-buffer-overflow on php_jpg_get16
  * SQLite: Bypassing open_basedir restrictions via file uris

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 03 Jun 2019 11:03:12 +0200

php5 (5.6.40+dfsg-0+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-11034
    Prevent a heap-buffer overflow vulnerability in the php_ifd_get32s
    function in the Exif module.
  * CVE-2019-11035
    Prevent a heap-buffer overflow vulnerability in the exif_iif_add_value
    function within the Exif module.
  * CVE-2019-11036
    Prevent a read past allocated buffer in exif_process_IFD_TAG function
    within the Exif module.

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 May 2019 19:51:02 +0200

php5 (5.6.40+dfsg-0+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2019-9637
    rename() across the device may allow unwanted access during
    processing.
  * CVE-2019-9638, CVE-2019-9639
    Uninitialized read in exif_process_IFD_in_MAKERNOTE.
  * CVE-2019-9640
    Invalid Read on exif_process_SOFn.
  * CVE-2019-9641
    Uninitialized read in exif_process_IFD_in_TIFF.
  * CVE-2019-9022
    An issue during parsing of DNS responses allows a hostile DNS server
    to misuse memcpy, which leads to a read operation past an allocated
    buffer.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Mar 2019 20:51:02 +0100

php5 (5.6.40+dfsg-0+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * New upstream version 5.6.40
    + Drop d/PEAR-CVE-2018-1000888.patch, which is included upstream

 -- Roberto C. Sanchez <roberto@debian.org>  Sat, 16 Feb 2019 20:06:02 -0500

php5 (5.6.39+dfsg-0+deb8u2) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2018-1000888: CWE-915 vulnerability in the Archive_Tar class
    of php-pear
    - Update d/rules to accomodate new patch 

 -- Abhijith PA <abhijith@debian.org>  Mon, 11 Feb 2019 17:38:14 +0530

php5 (5.6.39+dfsg-0+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * New upstream version 5.6.39

