=== debian/control ===
--- 
+++ 
@@ -71,9 +71,9 @@
 	       libapparmor-dev
 Build-Conflicts: bind-dev
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-php/php5.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-php/php5.git
-Homepage: http://www.php.net/
+Vcs-Git: https://salsa.debian.org/php-team/php5.git
+Vcs-Browser: https://salsa.debian.org/php-team/php5
+Homepage: https://secure.php.net/
 XS-Testsuite: autopkgtest
 
 Package: php5
