=== debian/rules ===
--- 
+++ 
@@ -175,6 +175,11 @@
 
 test-results.txt: build-apache2-stamp build-cli-stamp build-cgi-stamp build-phpdbg-stamp
 ifeq (yes,$(RUN_TESTS))
+	cp debian/data/bug78069.data ext/iconv/tests/
+	cp debian/data/bug77988.jpg ext/exif/tests/
+	cp debian/data/bug78222.jpg ext/exif/tests/
+	cp debian/data/bug78256.jpg ext/exif/tests/
+
 	mkdir -p temp_session_store
 	# start our own mysql server for the tests
 	$(SHELL) -x debian/setup-mysql.sh $(MYSQL_PORT) $(MYSQL_DATA_DIR)
@@ -220,13 +225,3 @@
 
 build-apache2filter-stamp: configure-apache2filter-stamp
 	dh_testdir
-	cd apache2filter-build && $(MAKE)
-
-	touch build-apache2filter-stamp
-
-build-cli-stamp: configure-cli-stamp
-	dh_testdir
-	cd cli-build && $(MAKE)
-
-	touch build-cli-stamp
-
